Groovy 1.7.0

## org.codehaus.groovy.ast
Class PackageNode

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.PackageNode

    class PackageNode
    extends AnnotatedNode

Represents a package in the AST.

author:
  Paul King

Constructor Summary
`PackageNode(String name)`

Method Summary
`String` | `getName()`
`String` | `getText()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### PackageNode

    public PackageNode(String name)

Method Detail

### getName

    public String getName()

### getText

    public String getText()

  return:
    the text display of this package definition

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.